/* fonte */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

* {
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-padding-top: 4rem;
    list-style: none;
    text-decoration: none;
}


html {
    scroll-behavior: smooth;
}

/* variaveis */
:root {
    --main-color: #bc9667;
    --second-color: #edeae3;
    --text-color: #1b1b1b;
    --bg-color: #fff;

    /* sombra */
    --box-shadow: 2px 2px 10px 4px rgb(14 55 54 / 15%);
}

section {
    padding: 50px 100px;
}

/* img */
img {
    width: 100%;
}

body {
    color: var(--text-color);
}

/* navbar */
header {
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 18px 100px;
    transition: 0.5s linear;
    background: var(--text-color);
}

/* logo */
.logo img {
    width: 60px;
}

.navbar {
    display: flex;
    transition: 0.2s linear;
}

.navbar a {
    padding: 8px 17px;
    color: var(--bg-color);
    font-size: 1rem;
    text-transform: uppercase;
    font-weight: 500;
    transition: 0.5s all linear;
}

.navbar a:hover {
    background: var(--main-color);
    border-radius: 0.2rem;
    transition: 0.2s all linear;
}

.header-icon {
    font-size: 22px;
    cursor: pointer;
    z-index: 10000;
    display: flex;
    column-gap: 0.8rem;
}

.header-icon .bx {
    color: var(--bg-color);
}

.header-icon .bx:hover {
    color: var(--main-color);
}

#menu-icon {
    color: var(--bg-color);
    font-size: 24px;
    z-index: 100001;
    cursor: pointer;
    display: none;
}

/* barra de pesquisa */
.search-box {
    position: absolute;
    top: -90%;
    left: 50%;
    transform: translate(-50%);
    background: var(--bg-color);
    width: 100%;
}

.search-box.active {
    top: 100%;
    box-shadow: var(--box-shadow);
    transition: 0.2s all linear;
}

.search-box input {
    padding: 20px;
    border: none;
    outline: none;
    width: 100%;
    font-size: 1rem;
    color: var(--main-color);
}

.search-box input::placeholder {
    font-size: 1rem;
    font-weight: 500;
}

/* login */
.user-icon {
    color: var(--bg-color);
}

.user-icon.active {
    color: var(--bg-color);
}

/* início */
.inicio {
    width: 100%;
    min-height: 100vh;
    background: url(./img/bg.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(17rem, auto));
    align-items: center;
    gap: 1.5rem;
}

.inicio-text h1 {
    font-size: 3.4rem;
    color: var(--main-color);
    text-transform: uppercase;
    letter-spacing: 1px;
}

.inicio-text p {
    font-size: 0.938rem;
    color: var(--bg-color);
    margin: 0.5rem 0 1.4rem;
}

.btn {
    padding: 10px 40px;
    border-radius: 0.3rem;
    background: var(--main-color);
    color: var(--bg-color);
    font-weight: 500;
    transition: 0.2s all linear;
}

.btn:hover {
    background: #8a6f4d;
}

/* sobre */
.sobre {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(170px, auto));
    gap: 1.5rem;
}

.sobre-img img {
    border-radius: 0.5rem;
    width: 25rem;
    margin: 25px;
}

.sobre-text h2 {
    font-size: 1.9rem;
    text-transform: uppercase;
    margin-top: 20px;
}

.sobre-text p {
    font-size: 1.2rem;
    margin: 0.5rem 0 1.9rem;
}

/* produtos grãos */
.heading {
    text-align: center;
}

.heading h2 {
    font-size: 1.8rem;
    text-transform: uppercase;
}

.grao-card {
    display: inline-table;
    width: 20rem;
    grid-template-columns: repeat(auto-fit, minmax(170px, auto));
    gap: 1.5rem;
    margin-top: 2rem;
    margin-left: 2.9rem;
}

.grao-card .box {
    position: relative;
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-radius: 0.5rem;
    box-shadow: var(--box-shadow);
}

.grao-card img {
    width: 100%;
    height: 250px;
    object-fit: contain;
    object-position: center;
    padding: 20px;
    border-radius: 0.5rem;
}

.grao-card .box h3 {
    font-size: 1rem;
    font-weight: 600;
    text-transform: uppercase;
    margin: 0.5rem 0 0.5rem;
}

.grao-card .box .content {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.grao-card .box .content span {
    color: var(--text-color);
    text-transform: uppercase;
}

.grao-card .box .content a {
    padding: 0 1rem;
    color: var(--text-color);
    border: 2px solid var(--main-color);
    border-radius: 4px;
    text-transform: uppercase;
}

.grao-card .box .content a:hover {
    background: var(--main-color);
    color: var(--bg-color);
    transition: 0.2s all linear;
}

/* Equipamentos */
.equip {
    display: inline-table;
    width: 20rem;
    grid-template-columns: repeat(auto-fit, minmax(170px, auto));
    gap: 1.5rem;
    margin-top: 2rem;
    margin-left: 2.9rem;
}

.equip .box {
    position: relative;
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-radius: 0.5rem;
    box-shadow: var(--box-shadow);
}

.equip img {
    width: 100%;
    height: 250px;
    object-fit: contain;
    object-position: center;
    padding: 20px;
    border-radius: 0.5rem;
}

.equip .box h3 {
    font-size: 1rem;
    font-weight: 600;
    text-transform: uppercase;
    margin: 0.5rem 0 0.5rem;
}

.equip .box .content {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.equip .box .content span {
    color: var(--text-color);
    text-transform: uppercase;
}

.equip .box .content a {
    padding: 0 1rem;
    color: var(--text-color);
    border: 2px solid var(--main-color);
    border-radius: 4px;
    text-transform: uppercase;
}

.equip .box .content a:hover {
    background: var(--main-color);
    color: var(--bg-color);
    transition: 0.2s all linear;
}

/* avaliações */
.avali-card {
    display: inline-table;
    width: 20rem;
    grid-template-columns: repeat(auto-fit, minmax(170px, auto));
    gap: 1.5rem;
    margin-top: 2rem;
    margin-left: 2.9rem;
    margin-bottom: 80px;
}

.avali-card .box {
    padding: 20px;
    box-shadow: var(--box-shadow);
    border-radius: 0.5rem;
    text-align: center;
}

.avali-card .box>p {
    height: 9.8rem;
}

.stars .bx {
    color: var(--main-color);
}

.avali-card .box p {
    font-size: 0.938rem;
}

.avali-card .box h2 {
    font-size: 1.2rem;
    font-weight: 600;
    margin: 0.5rem 0 0.5rem;
}

.avali-card .box img {
    width: 70px;
    height: 70px;
    border-radius: 50%;
    object-fit: cover;
}

.avali-card .box:hover {
    background: var(--second-color);
    transition: 0.2s all linear;
}

/* final */
.final {
    display: grid;
    width: 20rem;
    grid-template-columns: repeat(auto-fit, minmax(170px, auto));
    gap: 1.5rem;
}

/* copyright */
.copyright {
    padding: 20px;
    display: flex;
    justify-content: space-around;
    text-align: center;
    background: var(--second-color);
    font-size: 20px;
}




@media (max-width: 390px) {
    body{
        align-items: center;
        align-content: center;
        justify-content: center;
    }

    header{
        width: 40rem;
        height: auto;
        padding: 25px 10px;
    }

    .logo img{
        display: none;
        width: 0px;
        height: 0px;
    }

    .navbar a{
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 11px;
        margin-left: 2px;
        margin: 0;
    }

    .inicio{
        width: 100%;
        font-size: 12px;
        padding-left: 17px;
    }

    .inicio-text h1{
        font-size: 45px;
        margin-top: 30px;
    }

    .sobre{
        font-size: 12px;
        padding-left: 10px;
    }

    .sobre img{
        display: block;
        width: 90%;
    }

    .sobre-text p{
        font-size: 16px;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    .sobre-text h2{
        text-align: center;
    }
}